Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.iface
Class WsdlInterfacePanelBuilder

    java.lang.Object
      com.eviware.soapui.impl.EmptyPanelBuilder<WsdlInterface>
          com.eviware.soapui.impl.wsdl.panels.iface.WsdlInterfacePanelBuilder

All Implemented Interfaces:
  PanelBuilder<WsdlInterface>

    public class WsdlInterfacePanelBuilder

extends EmptyPanelBuilder<WsdlInterface>

PanelBuilder for WsdlInterface

Author:
  Ole.Matzura

Constructor Summary
`WsdlInterfacePanelBuilder()`

Method Summary
`DesktopPanel` | `buildDesktopPanel(WsdlInterface iface)`
`java.awt.Component` | `buildOverviewPanel(WsdlInterface iface)`
`boolean` | `hasDesktopPanel()`
`boolean` | `hasOverviewPanel()`

Methods inherited from class com.eviware.soapui.impl.EmptyPanelBuilder
`buildDefaultProperties, get`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlInterfacePanelBuilder

    public WsdlInterfacePanelBuilder()

Method Detail

### buildOverviewPanel

    public java.awt.Component buildOverviewPanel(WsdlInterface iface)

  Specified by:
    `buildOverviewPanel` in interface `PanelBuilder<WsdlInterface>`
  Overrides:
    `buildOverviewPanel` in class `EmptyPanelBuilder<WsdlInterface>`

### hasOverviewPanel

    public boolean hasOverviewPanel()

  Specified by:
    `hasOverviewPanel` in interface `PanelBuilder<WsdlInterface>`
  Overrides:
    `hasOverviewPanel` in class `EmptyPanelBuilder<WsdlInterface>`

### buildDesktopPanel

    public DesktopPanel buildDesktopPanel(WsdlInterface iface)

  Specified by:
    `buildDesktopPanel` in interface `PanelBuilder<WsdlInterface>`
  Overrides:
    `buildDesktopPanel` in class `EmptyPanelBuilder<WsdlInterface>`

### hasDesktopPanel

    public boolean hasDesktopPanel()

  Specified by:
    `hasDesktopPanel` in interface `PanelBuilder<WsdlInterface>`
  Overrides:
    `hasDesktopPanel` in class `EmptyPanelBuilder<WsdlInterface>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.